
program TUBEIRA_1p2

! Gerador de Perfil de Tubeira e Malha

! versão original 1.0 (28 Mai 99)

! programador: Carlos Henrique Marchi
! local:       SINMEC/UFSC - Florianópolis - SC

! versão atual    1.2 ( 6 Dez 99)

! última alteração =   17 Fev 00


! arquivos envolvidos na:compilação e execução deste programa:
!          (não inclui os arquivos gerados pelo próprio programa)           

!   FONTES
!     arquivo.f90
!     plota.f90
!     tubeira_cos_camara.f90
!     tubeira_geral.f90
!     tubeira_main.f90
!     tubeira_nomes.f90
!     tubeira_parabolica.f90

!   VISUAL
!     script1.rc
!     script1.aps
!     resource.h
!     resource.fd

!   EXECUTÁVEIS (outros)
!     notepad.exe
!     wgnuplot.exe

!   ÍCONES
!     frame.ico

!   DADOS (nomes default)

!     tubeira.arquivo.ent
!     tubeira.cos_camara.ent
!     tubeira.geral.ent
!     tubeira.grafico.ent
!     tubeira.parabolica.ent
!     tubeira.plota.ent

!     tubeira.inicio.ent
!     tubeira.inicio.arquivo.ent
!     tubeira.inicio.tub_cos_cam.ent
!     tubeira.inicio.tub_par.ent
!     tubeira.inicio.plota.ent

!--------------------------------------------------------

use msfwin

use TUBEIRA_GERAL ! versão 1.2 (17 Fev 00)

!--------------------------------------------------------

implicit none

!--------------------------------------------------------

logical name

interface
  logical(4) function initialsettings
  end function
end interface

name = setwindowtext(gethwndqq(qwin$framewindow), &
       "TUBEIRA 1.2 - Gerador de Perfil de Tubeira e Malha"C)

!--------------------------------------------------------

call TUB_GER_executa

!--------------------------------------------------------

call ARQUIVO_fecha_frame

end

!--------------------------------------------------------

logical(4) function initialsettings()

  use msflib

  record /qwinfo/ qwi
  qwi.x = 100
  qwi.y =  20
  qwi.w = 600         ! 400  600
  qwi.h = 400         ! 200  400
  qwi.type = qwin$set
  i4 = setwsizeqq(qwin$framewindow,qwi)
  qwi.type = qwin$min
  i4 = setwsizeqq(qwin$framewindow,qwi)

  initialsettings = .true.

end function initialsettings

!--------------------------------------------------------
